---
name: "screen analyzer"
description: >-
  The screen analyzer mode is an exclusive mode.  It is made active by the
  "show, "show double, "show middle, etc.  commands in the "basic" mode.  It is
  used to move and click the mouse.  When initiated, many labels appear on the
  screen.  When you say a label value, the mouse action associated with the
  "basic" mode command that initiated this mode is executed.  To cancel, say
  "cancel".
initiallyActive: false
exclusive: true
commands:
  - name: "cancel"
    description: >-
      Closes the screen labels and does not click the mouse.
    alternates:
      - "kendall"
    functions:
      - name: "closeMouseGuide"
        fixedArguments:
          - "cancel"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "screen analyzer"
  - name: "_default"
    description: >-
      If no other command is matched, this default command is used.
      This command assumes you are saying a number label.
      Closes the screen labels and executes mouse action
      supplied to openMouseGuide at the label position.
    functions:
      - name: "updateMouseGuide"
        utteranceArguments: 1
      - name: "closeMouseGuide"
      - name: "toggleMode"
        fixedArguments:
          - "off"
          - "screen analyzer"
